import { ref, onMounted, resolveComponent, mergeProps, unref, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderAttr, ssrRenderList, ssrRenderClass } from "vue/server-renderer";
import { usePage } from "@inertiajs/vue3";
import "../ssr.js";
import "lodash.debounce";
import "dayjs";
import { a as axios, _ as _sfc_main$1, t as _sfc_main$2, j as _sfc_main$3 } from "./http-CDixhmav.js";
import "./LoadingButton-DREeyNQW.js";
import "@inertiajs/vue3/server";
import "@vue/server-renderer";
import "./ActionMessage-cgGHxf5V.js";
import "./ActionSection-DLY4AkI5.js";
import "./SectionTitle-CrLwNK7a.js";
import "./_plugin-vue_export-helper-1tPrXgE0.js";
import "./AuthenticationCardLogo-BUP7R51z.js";
import "./ThemeSwitch-BH8JZmuF.js";
import "./AuthenticationCard-DZUcA5eO.js";
import "./Checkbox-C8_DVKYJ.js";
import "./ConfirmationModal-D2gnpuXK.js";
import "./ConfirmsPassword-mDregivA.js";
import "./InputError-DjBtKS5r.js";
import "./PrimaryButton-BFULsO35.js";
import "./SecondaryButton-CI1uhr4A.js";
import "./DangerButton-C-9IxBUH.js";
import "./FormSection-C7JuSy06.js";
import "./InputLabel-DXl8D0gR.js";
import "@vuepic/vue-datepicker";
import "vue-i18n";
import "lodash.isequal";
import "axios";
import "notiwind";
import "lodash.throttle";
const _sfc_main = {
  __name: "QuickView",
  __ssrInlineRender: true,
  props: ["current", "custom_fields", "editRow", "xfetch", "force"],
  emits: ["close"],
  setup(__props, { emit: __emit }) {
    const page = usePage();
    const props = __props;
    const loading = ref(true);
    const purchase = ref(null);
    onMounted(async () => {
      if (props.xfetch) {
        purchase.value = props.current;
        loading.value = false;
      } else {
        await axios.get(
          props.force ? route("purchases.report.show", { id: props.current.id }) : route("purchases.show", { purchase: props.current.id, json: true })
        ).then((res) => {
          purchase.value = res.data;
          loading.value = false;
        }).catch((err) => loading.value = false);
      }
    });
    return (_ctx, _push, _parent, _attrs) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i;
      const _component_Icon = resolveComponent("Icon");
      if (loading.value) {
        _push(`<div${ssrRenderAttrs(mergeProps({ class: "relative h-64" }, _attrs))}>`);
        _push(ssrRenderComponent(unref(_sfc_main$1), null, null, _parent));
        _push(`</div>`);
      } else if (purchase.value) {
        _push(`<!--[-->`);
        if (!__props.xfetch) {
          _push(`<!--[--><span class="absolute top-4 right-12 sm:right-14 inline-flex items-center gap-x-4 print:hidden"><button type="button" class="link -m-2 p-2">`);
          _push(ssrRenderComponent(_component_Icon, {
            name: "print-o",
            class: "size-5"
          }, null, _parent));
          _push(`</button>`);
          if (__props.editRow) {
            _push(`<button type="button" class="link -m-2 p-2">`);
            _push(ssrRenderComponent(_component_Icon, {
              name: "edit-o",
              class: "size-5"
            }, null, _parent));
            _push(`</button>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</span><div class="border-b border-gray-200 dark:border-gray-700 px-4 sm:px-6 py-4 print:hidden"><div class="sm:flex sm:items-baseline sm:justify-between"><div class="sm:w-0 sm:flex-1"><h1 class="text-base font-semibold text-focus">${ssrInterpolate(_ctx.$t("Purchase"))} #${ssrInterpolate((_a = purchase.value) == null ? void 0 : _a.id)} (${ssrInterpolate((_b = purchase.value) == null ? void 0 : _b.reference)})</h1><p class="mt-1 truncate text-sm text-mute">${ssrInterpolate(_ctx.$t("Please view the details below"))}</p></div></div></div><!--]-->`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="mt-4 px-6 py-4 print:py-0 print:m-0"><div class="max-h-16 max-w-[250px] mb-1">`);
        if (purchase.value.store.logo) {
          _push(`<img class="max-w-full h-16"${ssrRenderAttr("src", purchase.value.store.logo)}${ssrRenderAttr("alt", purchase.value.store.name)}>`);
        } else {
          _push(`<!--[-->`);
          if ((_c = _ctx.$page.props.settings) == null ? void 0 : _c.logo) {
            _push(`<img class="max-w-full h-16 dark:hidden"${ssrRenderAttr("src", (_d = _ctx.$page.props.settings) == null ? void 0 : _d.logo)}${ssrRenderAttr("alt", (_e = _ctx.$page.props.settings) == null ? void 0 : _e.name)}>`);
          } else {
            _push(`<!---->`);
          }
          if ((_f = _ctx.$page.props.settings) == null ? void 0 : _f.logo_dark) {
            _push(`<img class="max-w-full h-16 hidden dark:block"${ssrRenderAttr("src", (_g = _ctx.$page.props.settings) == null ? void 0 : _g.logo_dark)}${ssrRenderAttr("alt", (_h = _ctx.$page.props.settings) == null ? void 0 : _h.name)}>`);
          } else {
            _push(`<!---->`);
          }
          _push(`<!--]-->`);
        }
        _push(`</div><div class="flex items-start justify-between gap-6 mb-8"><div class="flex flex-col w-3/5"><div class="font-semibold text-lg">${ssrInterpolate(purchase.value.store.name)}</div><div class="text-sm">${ssrInterpolate(_ctx.$address(purchase.value.store))}</div>`);
        if (purchase.value.store.phone) {
          _push(`<div class="text-sm">${ssrInterpolate(_ctx.$t("Phone"))}: ${ssrInterpolate(purchase.value.store.phone)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (purchase.value.store.email) {
          _push(`<div class="text-sm">${ssrInterpolate(_ctx.$t("Email"))}: ${ssrInterpolate(purchase.value.store.email)}</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div><div class="w-2/5"><div class="font-extrabold uppercase text-lg mb-1">${ssrInterpolate(_ctx.$t("Purchase"))}</div><div class="text-sm">${ssrInterpolate(_ctx.$t("Purchase No. {x}", { x: (_i = purchase.value) == null ? void 0 : _i.id }))}</div><div class="text-sm">${ssrInterpolate(_ctx.$t("Date"))}: ${ssrInterpolate(_ctx.$date(purchase.value.date))}</div><div class="text-sm">${ssrInterpolate(_ctx.$t("Created at"))}: ${ssrInterpolate(_ctx.$datetime(purchase.value.created_at))}</div><div class="text-sm flex gap-1">${ssrInterpolate(_ctx.$t("Reference"))}: <p class="truncate hover:text-clip print:text-clip print:block" dir="rtl">${ssrInterpolate(purchase.value.reference)}</p></div></div></div><div class="pb-8"><h2 class="text-xs font-bold mb-1">${ssrInterpolate(_ctx.$t("Order To"))}</h2><div class="font-semibold text-lg">${ssrInterpolate(purchase.value.supplier.company || purchase.value.supplier.name)}</div><div class="text-sm">${ssrInterpolate(_ctx.$address(purchase.value.supplier))}</div>`);
        if (purchase.value.supplier.phone) {
          _push(`<div class="text-sm">${ssrInterpolate(_ctx.$t("Phone"))}: ${ssrInterpolate(purchase.value.supplier.phone)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (purchase.value.supplier.email) {
          _push(`<div class="text-sm">${ssrInterpolate(_ctx.$t("Email"))}: ${ssrInterpolate(purchase.value.supplier.email)}</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div><div class="overflow-x-auto"><table class="w-full divide-y dark:divide-gray-700 print:divide-gray-400 dark:print:divide-gray-400"><thead><tr><th class="font-bold text-center uppercase p-2 w-7">#</th><th class="font-bold text-left uppercase p-2">${ssrInterpolate(_ctx.$t("Description"))}</th><th class="font-bold text-center uppercase p-2 w-[120px]">${ssrInterpolate(unref(page).props.settings.show_tax == 1 ? _ctx.$t("Cost") : _ctx.$t("Unit Cost"))}</th><th class="font-bold text-center uppercase p-2 w-[80px]">${ssrInterpolate(_ctx.$t("Qty"))}</th>`);
        if (unref(page).props.settings.show_tax == 1) {
          _push(`<th class="font-bold text-center uppercase p-2 w-[80px]">${ssrInterpolate(_ctx.$t("Tax"))}</th>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<th class="font-bold text-center uppercase p-2 w-[120px]">${ssrInterpolate(_ctx.$t("Total"))}</th></tr></thead><!--[-->`);
        ssrRenderList(purchase.value.items, (item, index) => {
          var _a2;
          _push(`<!--[-->`);
          if (item.variations && item.variations.length) {
            _push(`<tbody><tr><td class="p-2 w-7 text-right">${ssrInterpolate(index + 1)}</td><td class="p-2"><div class="${ssrRenderClass([item.batch_no || item.expiry_date ? "items-start" : "items-center", "flex gap-2"])}">`);
            if (unref(page).props.settings.show_image == 1) {
              _push(`<!--[-->`);
              if (item.product.photo) {
                _push(`<img class="w-8 h-8 rounded-sm self-center"${ssrRenderAttr("src", item.product.photo)} alt="Product Image">`);
              } else {
                _push(`<img class="w-8 h-8 mr-2 rounded-sm self-start" src="img/no-image.png" alt="No Image">`);
              }
              _push(`<!--]-->`);
            } else {
              _push(`<!---->`);
            }
            _push(`<div class="flex flex-col">${ssrInterpolate(item.product.name)} `);
            if (item.batch_no || item.expiry_date) {
              _push(`<div class="flex items-center gap-4 text-xs font-bold">`);
              if (item.batch_no) {
                _push(`<div><span class="text-mute">${ssrInterpolate(_ctx.$t("Batch"))}:</span> ${ssrInterpolate(item.batch_no)}</div>`);
              } else {
                _push(`<!---->`);
              }
              if (item.expiry_date) {
                _push(`<div><span class="text-mute">${ssrInterpolate(_ctx.$t("Expiry"))}:</span> ${ssrInterpolate(item.expiry_date)}</div>`);
              } else {
                _push(`<!---->`);
              }
              _push(`</div>`);
            } else {
              _push(`<!---->`);
            }
            _push(`</div></div></td><td class="p-2"></td><td class="p-2 text-right"></td>`);
            if (unref(page).props.settings.show_tax == 1) {
              _push(`<td class="p-2"></td>`);
            } else {
              _push(`<!---->`);
            }
            _push(`<td class="p-2"></td></tr><!--[-->`);
            ssrRenderList(item.variations, (variation) => {
              var _a3, _b2;
              _push(`<tr><td class="align-top w-7"></td><td class="p-2">${ssrInterpolate(_ctx.$meta(variation.meta))}</td><td class="p-2 text-right">${ssrInterpolate(_ctx.$number(variation.pivot.cost))}</td><td class="p-2 text-right"><div class="flex items-center justify-end">${ssrInterpolate(_ctx.$number_qty(variation.pivot.quantity))}${ssrInterpolate(((_b2 = (_a3 = variation.pivot) == null ? void 0 : _a3.unit) == null ? void 0 : _b2.code) || "")}</div></td>`);
              if (unref(page).props.settings.show_tax == 1) {
                _push(`<td class="p-2 text-right">${ssrInterpolate(_ctx.$number(variation.pivot.tax_amount))}</td>`);
              } else {
                _push(`<!---->`);
              }
              _push(`<td class="p-2 text-right font-bold">${ssrInterpolate(_ctx.$number(variation.pivot.total))}</td></tr>`);
            });
            _push(`<!--]--></tbody>`);
          } else {
            _push(`<tbody class="divide-y dark:divide-gray-700 border-y border-gray-200 dark:border-gray-700 print:divide-gray-400 dark:print:divide-gray-400"><tr><td class="p-2 w-7 text-right">${ssrInterpolate(index + 1)}</td><td class="p-2"><div class="${ssrRenderClass([item.batch_no || item.expiry_date ? "items-start" : "items-center", "flex gap-2"])}">`);
            if (unref(page).props.settings.show_image == 1) {
              _push(`<!--[-->`);
              if (item.product.photo) {
                _push(`<img class="w-8 h-8 rounded-sm self-center"${ssrRenderAttr("src", item.product.photo)} alt="Product Image">`);
              } else {
                _push(`<img class="w-8 h-8 mr-2 rounded-sm self-start" src="img/no-image.png" alt="No Image">`);
              }
              _push(`<!--]-->`);
            } else {
              _push(`<!---->`);
            }
            _push(`<div class="flex flex-col">${ssrInterpolate(item.product.name)} `);
            if (item.batch_no || item.expiry_date) {
              _push(`<div class="flex items-center gap-4 text-xs font-bold">`);
              if (item.batch_no) {
                _push(`<div><span class="text-mute">${ssrInterpolate(_ctx.$t("Batch"))}:</span> ${ssrInterpolate(item.batch_no)}</div>`);
              } else {
                _push(`<!---->`);
              }
              if (item.expiry_date) {
                _push(`<div><span class="text-mute">${ssrInterpolate(_ctx.$t("Expiry"))}:</span> ${ssrInterpolate(item.expiry_date)}</div>`);
              } else {
                _push(`<!---->`);
              }
              _push(`</div>`);
            } else {
              _push(`<!---->`);
            }
            _push(`</div></div></td><td class="p-2 text-right">${ssrInterpolate(_ctx.$number(item.cost))}</td><td class="p-2 text-right"><div class="flex items-center justify-end">${ssrInterpolate(_ctx.$number_qty(item.quantity))}${ssrInterpolate(((_a2 = item.unit) == null ? void 0 : _a2.code) || "")}</div></td>`);
            if (unref(page).props.settings.show_tax == 1) {
              _push(`<td class="p-2 text-right">${ssrInterpolate(_ctx.$number(item.tax_amount))}</td>`);
            } else {
              _push(`<!---->`);
            }
            _push(`<td class="p-2 text-right font-bold">${ssrInterpolate(_ctx.$number(item.total))}</td></tr></tbody>`);
          }
          _push(`<!--]-->`);
        });
        _push(`<!--]--><tfoot class="divide-y dark:divide-gray-700">`);
        if (unref(page).props.settings.show_tax == 1) {
          _push(`<tr><th colspan="3" class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$t("Total"))}</th><th class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$decimal_qty(purchase.value.items.reduce((a, i) => Number(i.quantity) + a, 0)))}</th><th class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$currency(purchase.value.total_tax_amount))}</th><th class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$currency(purchase.value.total))}</th></tr>`);
        } else {
          _push(`<!--[-->`);
          if (_ctx.$decimal(purchase.value.total_tax_amount, true) > 0) {
            _push(`<!--[--><tr><th colspan="4" class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$t("Subtotal"))}</th><th class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$currency(purchase.value.subtotal))}</th></tr><tr><th colspan="4" class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$t("Tax"))}</th><th class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$currency(purchase.value.total_tax_amount))}</th></tr><!--]-->`);
          } else if (unref(page).props.settings.show_zero_taxes == 1) {
            _push(`<tr><th colspan="4" class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$t("Tax"))}</th><th class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$currency(purchase.value.total_tax_amount))}</th></tr>`);
          } else {
            _push(`<!---->`);
          }
          _push(`<tr><th colspan="4" class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$t("Total"))}</th><th class="p-2 font-bold text-right text-lg">${ssrInterpolate(_ctx.$currency(purchase.value.grand_total))}</th></tr><!--]-->`);
        }
        _push(`</tfoot></table></div>`);
        _push(ssrRenderComponent(unref(_sfc_main$2), {
          modal: false,
          fields: __props.custom_fields,
          title: _ctx.$t("Custom Fields"),
          extra_attributes: purchase.value.extra_attributes
        }, null, _parent));
        if (purchase.value.details) {
          _push(`<div class="pt-8 mb-4">${ssrInterpolate(purchase.value.details)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (purchase.value.attachments && purchase.value.attachments.length) {
          _push(`<div class="mt-8 py-2 w-full print:hidden">`);
          _push(ssrRenderComponent(unref(_sfc_main$3), {
            attachments: purchase.value.attachments
          }, null, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
        if (purchase.value.payments && purchase.value.payments.length) {
          _push(`<div class="mx-6 mb-6 rounded border border-gray-200 dark:border-gray-700 print:hidden"><h4 class="text-base px-4 py-2 font-extrabold border-b border-gray-200 dark:border-gray-700">${ssrInterpolate(_ctx.$t("Payments"))}</h4><div class="py-1 overflow-x-auto"><table class="w-full text-sm divide-y dark:divide-gray-700"><thead><tr><th class="font-bold text-left uppercase p-2 w-[140px]">${ssrInterpolate(_ctx.$t("Date"))}</th><th class="font-bold text-left uppercase p-2">${ssrInterpolate(_ctx.$t("Reference"))}</th><th class="font-bold text-left uppercase p-2 w-[100px]">${ssrInterpolate(_ctx.$t("Method"))}</th><th class="font-bold text-center uppercase p-2 w-[120px]">${ssrInterpolate(_ctx.$t("Amount"))}</th></tr></thead><tbody><!--[-->`);
          ssrRenderList(purchase.value.payments, (p) => {
            _push(`<tr><td class="p-2 whitespace-nowrap">${ssrInterpolate(_ctx.$date(p.date))}</td><td class="p-2">${ssrInterpolate(p.reference)}</td><td class="p-2 whitespace-nowrap">${ssrInterpolate(_ctx.$t(p.method))}</td><td class="p-2 text-right">${ssrInterpolate(_ctx.$currency(p.amount))}</td></tr>`);
          });
          _push(`<!--]--></tbody></table></div></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<!--]-->`);
      } else {
        _push(`<div${ssrRenderAttrs(mergeProps({ class: "flex items-center justify-center p-6 min-h-64 text-lg font-thin" }, _attrs))}>${ssrInterpolate(_ctx.$t("No data found, the record might not belong to the selected store."))}</div>`);
      }
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Sma/Order/Purchase/QuickView.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
